/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.dynamic.data.mapping.type.checkbox.internal;

import com.liferay.dynamic.data.mapping.form.field.type.BaseDDMFormFieldType;
import com.liferay.dynamic.data.mapping.form.field.type.DDMFormFieldType;
import com.liferay.dynamic.data.mapping.form.field.type.DDMFormFieldTypeSettings;

import org.osgi.service.component.annotations.Component;

/**
 * @author Renato Rego
 */
@Component(
	immediate = true,
	property = {
		"ddm.form.field.type.data.domain=boolean",
		"ddm.form.field.type.description=checkbox-field-type-description",
		"ddm.form.field.type.display.order:Integer=6",
		"ddm.form.field.type.group=basic",
		"ddm.form.field.type.icon=check-circle",
		"ddm.form.field.type.js.class.name=Liferay.DDM.Field.Checkbox",
		"ddm.form.field.type.js.module=liferay-ddm-form-field-checkbox",
		"ddm.form.field.type.label=checkbox-field-type-label",
		"ddm.form.field.type.name=checkbox", "ddm.form.field.type.system=true"
	},
	service = DDMFormFieldType.class
)
public class CheckboxDDMFormFieldType extends BaseDDMFormFieldType {

	@Override
	public Class<? extends DDMFormFieldTypeSettings>
		getDDMFormFieldTypeSettings() {

		return CheckboxDDMFormFieldTypeSettings.class;
	}

	@Override
	public String getName() {
		return "checkbox";
	}

}